Bug 1589515 - [RFE] Add kernel version to the hosts inventory report
Summary: [RFE] Add kernel version to the hosts inventory report
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Reporting
Version: 6.2.14
Hardware: All
OS: Linux
medium
high vote
Target Milestone: Released
Assignee: satellite6-bugs
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-10 12:14 UTC by Hradayesh Shukla
Modified: 2019-10-07 17:37 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:37:23 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:37:30 UTC

Description Hradayesh Shukla 2018-06-10 12:14:00 UTC
1. Proposed title of this feature request:
[RFE] Allow custom column in the inventory (Hosts > All  Hosts) for kernel version, that can be viewed, sorted, exported. 

3. What is the nature and description of the request?
Allow custom column in the inventory (Hosts > All  Hosts) for kernel version, that can be viewed, sorted, exported. 

4. Why does the customer need this? (List the business requirements here)
This helps during patch management on systems and identify the kernel versions running on each systems.

5. How would the customer like to achieve this? (List the functional requirements here)
Create a new column on the Web UI under Hosts > All  Hosts as "Kernel Version" 

6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.

7. Is there already an existing RFE upstream or in Red Hat Bugzilla?
No

8. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?
As soon as possible

9. Is the sales team involved in this request and do they have any additional input?
No

10. List any affected packages or components.
Web UI 

11. Would the customer be able to assist in testing this functionality if implemented?
Yes

Comment 2 Rich Jerrido 2018-06-12 17:50:08 UTC
The customer can, if required, export a report with any field that they would like (such as host + kernel version) using hammer CSV. This is documented in the following doc - https://access.redhat.com/blogs/1169563/posts/2938111

Comment 6 Bryan Kearney 2018-11-08 18:15:28 UTC
MOving to reporting.

If there is a host inventory report, add kernel version. If not, add the report and then add the kernel version.

Comment 8 Lukáš Hellebrandt 2019-01-03 09:48:11 UTC
Verified with Sat 6.5 snap 9

Steps to Reproduce:
1. Have some host registered through bootstrap
2. Generate a Registered Hosts report

Results:
Name,Ip,Operating System,Subscriptions,Applicable Errata,Owner,Kernel,Latest kernel available
<FQDN>,...,3.10.0-862.el7.x86_64,kernel-3.10.0-862.11.6.el7.x86_64

Comment 10 errata-xmlrpc 2019-05-14 12:37:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.